import { State } from "@types";
export interface Action {
    type: Reducer;
    payload?: any;
}
export declare enum Reducer {
    RESET = "RESET",
    RESET_PAYMENT = "RESET_PAYMENT",
    SET_LOADED = "SET_LOADED",
    SET_USER = "SET_USER",
    SET_AUTH_STATE_LISTENER = "SET_AUTH_STATE_LISTENER",
    SET_AUTH_STATE_LOADING = "SET_AUTH_STATE_LOADING",
    SET_STRIPE = "SET_STRIPE",
    SET_STRIPE_ACCOUNT = "SET_STRIPE_ACCOUNT",
    SET_PAYMENT_MODAL_VISIBLE = "SET_PAYMENT_MODAL_VISIBLE",
    SET_SELECTED_PRODUCT = "SET_SELECTED_PRODUCT",
    SET_PAYMENT_ERROR = "SET_PAYMENT_ERROR",
    SET_PAYMENT_PROCESSING = "SET_PAYMENT_PROCESSING",
    SET_PROMOTION_CODE = "SET_PROMOTION_CODE",
    SET_OPERATION_SUCCESSFUL = "SET_OPERATION_SUCCESSFUL",
    SET_SUBSCRIPTIONS = "SET_SUBSCRIPTIONS",
    SET_DEFAULT_CUSTOMER_NAME = "SET_DEFAULT_CUSTOMER_NAME",
    SET_SIGN_IN_MODAL_VISIBLE = "SET_SIGN_IN_MODAL_VISIBLE"
}
export declare const Reducers: {
    RESET: (state: any) => {
        liveMode: any;
        loaded: boolean;
        signInModalVisible: boolean;
        stripeAccount?: string | undefined;
        user: any;
        authStateListener: () => void;
        authStateLoading: boolean;
        stripe: import("stripe").Stripe | null;
        activeSubscriptions?: import("stripe").Stripe.Subscription[] | undefined;
        subscriptions?: import("stripe").Stripe.Subscription[] | undefined;
        product?: import("@types").Product | undefined;
        pricing?: import("@types").SelectedPricing | undefined;
        promotionCode?: import("stripe").Stripe.PromotionCode | undefined;
        modalOptions: import("@types").ModalOptions;
        billingOptions: import("@types").BillingOptions;
        paymentModalVisible: boolean;
        paymentError: string;
        defaultCustomerName: string;
        operationSuccessful: "payment" | "update" | null;
        isPaymentProcessing: boolean;
        onPaymentSuccessful: () => void;
        onPaymentError: (error: Error) => void;
        onError: (error: import("@types").BillingError) => void;
        getEmailHmac: (() => {
            email: string;
            hmac: string;
        } | Promise<{
            email: string;
            hmac: string;
        }>) | null;
        onCustomerSignedOut: () => void;
        onCustomerSignedIn: () => void;
    };
    SET_SIGN_IN_MODAL_VISIBLE: (state: any, action: Action) => any;
    RESET_PAYMENT: (state: any) => any;
    SET_LOADED: (state: any) => any;
    SET_STRIPE_ACCOUNT: (state: any) => any;
    SET_USER: (state: any, action: Action) => any;
    SET_DEFAULT_CUSTOMER_NAME: (state: any, action: Action) => any;
    SET_AUTH_STATE_LISTENER: (state: any, action: Action) => any;
    SET_AUTH_STATE_LOADING: (state: any, action: Action) => any;
    SET_STRIPE: (state: any, action: Action) => any;
    SET_PAYMENT_MODAL_VISIBLE: (state: any, action: Action) => any;
    SET_SELECTED_PRODUCT: (state: any, action: Action) => any;
    SET_PAYMENT_ERROR: (state: any, action: Action) => any;
    SET_PAYMENT_PROCESSING: (state: any, action: Action) => any;
    SET_PROMOTION_CODE: (state: any, action: Action) => any;
    SET_OPERATION_SUCCESSFUL: (state: any, action: Action) => any;
    SET_SUBSCRIPTIONS: (state: any, action: Action) => any;
};
declare const _default: (state: State | undefined, action: Action) => any;
export default _default;
